@ECHO OFF

rem HERES WHAT A SIMPLE TRAJECTORY CONTROL FILE LOOKS LIKE

rem 08 08 03 15
rem 1
rem 20.25 -103.05 200.0
rem -24
rem 0
rem 10000.0
rem 2
rem C:/hysplit4/metdata/
rem edas.aug08.001
rem C:/hysplit4/metdata/
rem edas.jul08.002
rem ./
rem tdump

rem starting time
ECHO 08 08 03 15 > CONTROL.txt

rem number of starting locations
ECHO 1 >> CONTROL.txt

rem lat, long, height of start location
ECHO 20.25 -103.05 200.0 >> CONTROL.txt

rem number of hours to run trajectory
ECHO -24 >> CONTROL.txt

rem vertical motion option
rem	(0:data 1:isob 2:isen 3:dens 4:sigma 5:diverg 6:eta)
ECHO 0 >> CONTROL.txt

rem model top
ECHO 10000.0 >> CONTROL.txt

rem number of meteorological data files
ECHO 2 >> CONTROL.txt

rem location and name of first met file
ECHO C:/hysplit4/metdata/ >> CONTROL.txt
ECHO edas.aug08.001 >> CONTROL.txt

rem location and name of second met file
ECHO C:/hysplit4/metdata/ >> CONTROL.txt
ECHO edas.jul08.002 >> CONTROL.txt

rem location and name of trajectory endpoints output file
ECHO ./ >> CONTROL.txt
ECHO tdump >> CONTROL.txt

rem delete earlier CONTROL if present
del CONTROL.

rem copy new file to "control"
copy CONTROL.txt control.

rem run hysplit trajectory model (it will use "control."
..\exec\hyts_std.exe

rem run trajplot to map the trajectory
..\exec\trajplot -itdump -a3 -v1



