@ECHO OFF

rem parameter #1: start year (UTC)
rem parameter #2: start month (UTC)
rem parameter #3: start day (UTC)
rem parameter #4: start hour (UTC)
rem parameter #5: run name
rem parameter #6: metfile_1
rem parameter #7: metfile_2
rem parameter #8: metfile_3

rem starting time
ECHO %1 %2 %3 %4           > CONTROL.txt
rem number of starting locations
ECHO 1                    >> CONTROL.txt
rem lat, long, height of start location
ECHO 20.25 -103.05 200.0  >> CONTROL.txt
rem number of hours to run trajectory
ECHO -24                  >> CONTROL.txt
rem vertical motion option
rem	(0:data 1:isob 2:isen 3:dens 4:sigma 5:diverg 6:eta)
ECHO 0                    >> CONTROL.txt
rem model top
ECHO 10000.0              >> CONTROL.txt
rem number of meteorological data files
ECHO 3                    >> CONTROL.txt
rem location and name of first met file
ECHO C:/hysplit4/metdata/ >> CONTROL.txt
ECHO %6                   >> CONTROL.txt
rem location and name of second met file
ECHO C:/hysplit4/metdata/ >> CONTROL.txt
ECHO %7                   >> CONTROL.txt
rem location and name of third met file
ECHO C:/hysplit4/metdata/ >> CONTROL.txt
ECHO %8                   >> CONTROL.txt
rem location and name of trajectory endpoints output file
ECHO ./                   >> CONTROL.txt
ECHO tdump.txt            >> CONTROL.txt
rem delete earlier CONTROL if present
del CONTROL.
rem copy new file to "control"
rename CONTROL.txt control.
rem run hysplit trajectory model, using "control."
..\exec\hyts_std.exe
rem run trajplot to map the trajectory
..\exec\trajplot -itdump.txt -a3 v1

rename tdump.txt %5.tdp
rename message. %5.msg
rename trajplot.ps %5.ps
rename control. %5.ctl
rename HYSPLITtraj_ps_01.kml %5.kml
rename TRAJ.CFG %5.cfg
mkdir temp

move %5.* temp
rename temp %5

